<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Canyon Themes
 * @subpackage Canyon
 */

get_header();
 $education_way_designlayout      = get_post_meta(get_the_ID(), 'education_way_sidebar_layout', true  );

 /**
* Hook - education_way_breadcrumb_type.
*
* @hooked education_way_breadcrumb_type
*/
do_action( 'education_way_breadcrumb_trail' );

$sidebardesignlayout = esc_attr(education_way_get_option( 'education_way_sidebar_layout_option' ) );

/* check if sidebar layout is overridden in individual page settings */
if(isset($education_way_designlayout) && $education_way_designlayout != 'default-sidebar' ){
	$sidebardesignlayout = $education_way_designlayout;
	
} else{
	$education_way_designlayout = $sidebardesignlayout ;
}

$sidebar_primary_classes_alignment =  ' col-lg-8 ' ;

if ( $education_way_designlayout == 'left-sidebar') { 
	$sidebar_primary_classes_alignment =  ' col-lg-8 order-lg-2' ;
}
	

 ?>
    
    <!-- Start About Section -->
    <section class="bg-about">
        <div class="container">
                <div class="content-wrapper">
                    <div class="row">
                        <div class="col-sm-12 col-md-12 <?php echo $sidebar_primary_classes_alignment; ?> left-block">
                    <?php
                    while (have_posts()) : the_post();

                        get_template_part('template-parts/content', 'page');

                        // If comments are open or we have at least one comment, load up the comment template.
                        if (comments_open() || get_comments_number()) :
                            comments_template();
                        endif;

                    endwhile; // End of the loop.
                    ?>
                </div><!-- div -->
                <?php
					 $sidebar_classes_alignment =  '' ;
					 
					 if ( $sidebardesignlayout == 'left-sidebar') { 
					  $sidebar_classes_alignment =  'order-lg-1' ;
					 
					 }                     
                     if ( $sidebardesignlayout != 'no-sidebar') { ?>
                     
					 
                        <div class="col-md-8 col-sm-12 col-lg-4 <?php echo $sidebar_classes_alignment; ?>">
                    
                            <?php get_sidebar(); ?>
                     
                        </div>
                    <?php } ?>
                </div><!-- div -->
            
        </div><!-- div -->
    </div>    
</section>

<?php get_footer();
