<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Canyon Themes
 * @subpackage Canyon
 */
get_header();
$education_way_designlayout = get_post_meta(get_the_ID(), 'education_way_sidebar_layout', true  ); 
$sidebardesignlayout = esc_attr(education_way_get_option( 'education_way_sidebar_layout_option' ) );
/* check if sidebar layout is overridden in individual post settings */
if(isset($education_way_designlayout) && $education_way_designlayout != 'default-sidebar' ){
	$sidebardesignlayout = $education_way_designlayout;
	
} else{
	$education_way_designlayout = $sidebardesignlayout ;
}


$sidebar_primary_classes_alignment =  ' col-lg-8 ' ;

if ( $education_way_designlayout == 'left-sidebar') { 
	$sidebar_primary_classes_alignment =  ' col-lg-8 order-lg-2' ;
}
/**
* Hook - education_way_type.
*
* @hooked education_way_breadcrumb_type
*/
do_action( 'education_way_breadcrumb_trail' );

?> 
<!-- Start Single blog Section -->
<section class="single-blog-section"> 
    <div class="container">
        <div class="single-blog">
            <div class="row">
               <div class="col-sm-12 col-md-12 <?php echo $sidebar_primary_classes_alignment; ?> left-block">

                        <?php
                        while (have_posts()) : the_post();

                            get_template_part('template-parts/content', 'single');
                            
                            echo '<div class="entry-box">';
                        
                                /**
                                 * education_way_post_navigation_action hook
                                 * @since Canyon 1.0.0
                                 *
                                 * @hooked education_way_post_navigation_action -  10
                                 */
                                do_action( 'education_way_post_navigation' ,get_the_ID() );

                                echo '<div class="comment-form-container">';

                                /**
                                 * education_way_related_posts hook
                                 * @since Canyon 1.0.0
                                 *
                                 * @hooked education_way_related_posts -  10
                                 */
                                do_action( 'education_way_related_post_action' ,get_the_ID() );
                                
                                // If comments are open or we have at least one comment, load up the comment template.
                                if (comments_open() || get_comments_number()) :
                                    comments_template();
                            endif;

                            echo '</div>';
                            echo '</div>';
                        endwhile; // End of the loop.
                        ?>
                    </div>
                     <?php
                   
					 $sidebar_classes_alignment =  '' ;
					 
					 if ( $sidebardesignlayout == 'left-sidebar') { 
					  $sidebar_classes_alignment =  'order-lg-1' ;
					 
					 }                     
                     if ( $sidebardesignlayout != 'no-sidebar') { ?>
                     
					 
                        <div class="col-md-8 col-sm-12 col-lg-4 <?php echo $sidebar_classes_alignment; ?>">
                    
                            <?php get_sidebar(); ?>
                     
                        </div>
                    
                    <?php } ?>
                </div>
            </div>
        </div>
    </section>
    <?php
    get_footer(); ?>
